#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    long int l, stalaktiti[n];
    cin>>l;
    for(int i = 0;i<n;i++){
        cin>>stalaktiti[i];
        if(stalaktiti[i]<l) {cout<<i+1; return 0;}
    }

    cout<<-1;

    return 0;
}